INTERFACE
SUBROUTINE WRITE_GRID_GRIB(CDFILE,YDGRID,&
 & YDHEADER,KTYPE_INTERP,CDMODE,KSECLOC,PGPSP) 
USE PARKIND1,ONLY : JPIM, JPRB
USE YOMDIM, ONLY : NDGLG, NPROMA, NGPBLKS
USE GRIDPOINT_FIELDS_MIX
USE GRIB_HEADER_MIX
CHARACTER(LEN=*), INTENT(IN) :: CDFILE
TYPE(GRIDPOINT_FIELD), INTENT(IN) :: YDGRID
TYPE(GRIB_HEADER) , OPTIONAL, INTENT(IN) :: YDHEADER
INTEGER(KIND=JPIM), OPTIONAL, INTENT(IN) :: KTYPE_INTERP
CHARACTER(LEN=1) , OPTIONAL, INTENT(IN) :: CDMODE
INTEGER(KIND=JPIM), OPTIONAL, INTENT(IN) :: KSECLOC(:)
REAL(KIND=JPRB) , OPTIONAL, INTENT(IN) :: PGPSP(NPROMA,NGPBLKS)
END SUBROUTINE WRITE_GRID_GRIB
END INTERFACE
